Bug 1335169 - nfs-utils package is required by image-uploader but is not listed as dependency
Summary: nfs-utils package is required by image-uploader but is not listed as dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-image-uploader
Classification: oVirt
Component: Core
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.4
: 4.0.1
Assignee: Ido Rosenzwig
QA Contact: Aleksei Slaikovskii
URL:
Whiteboard:
Depends On:
Blocks: 1371477
TreeView+ depends on / blocked
 
Reported: 2016-05-11 13:24 UTC by Gonza
Modified: 2019-04-28 13:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 12:42:10 UTC
oVirt Team: Integration
rule-engine: ovirt-4.0.z+
ylavi: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 63002 0 master MERGED Spec file: Add nfs-util dependency 2016-08-30 11:06:51 UTC
oVirt gerrit 63005 0 ovirt-image-uploader-4.0 MERGED Spec file: Add nfs-util dependency 2016-08-30 11:17:41 UTC

Description Gonza 2016-05-11 13:24:05 UTC
Description of problem:
ovirt-image-uploader won't work if installed on a machine with no nfs-utils package.

# rpm -qR ovirt-image-uploader
/bin/sh
/usr/bin/python
config(ovirt-image-uploader) = 4.0.0-0.0.master.20160424163606.gita3e72cd.el7.centos
logrotate
ovirt-engine-sdk-python >= 3.6.3.0
python
python(abi) = 2.7
python-lxml
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
shadow-utils
rpmlib(PayloadIsXz) <= 5.2-1

Version-Release number of selected component (if applicable):
ovirt-image-uploader-4.0.0-0.0.master.20160424163606.gita3e72cd.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install ovirt-image-uploader on a machine with no nfs-utils package
2. run ovirt-image-uploader

Actual results:
ERROR: mount: wrong fs type, bad option, bad superblock on 10.34.63.199:/gr04,
       missing codepage or helper program, or other error
       (for several filesystems (e.g. nfs, cifs) you might
       need a /sbin/mount.<type> helper program)

       In some cases useful info is found in syslog - try
       dmesg | tail or so.


Expected results:
Image uploaded successfully

Comment 1 Aleksei Slaikovskii 2016-09-01 10:38:57 UTC
So now ovirt-image-uploader has nfs-utils as a dependency.

[root@as-engine ~]# rpm -qa | grep nfs-utils
nfs-utils-1.3.0-0.21.el7_2.1.x86_64
[root@as-engine ~]# rpm -qa | grep ovirt-image-uploader
ovirt-image-uploader-4.0.1-1.el7ev.noarch

[root@as-engine ~]# rpm -qR ovirt-image-uploader
/bin/sh
/usr/bin/python
config(ovirt-image-uploader) = 4.0.1-1.el7ev
logrotate
nfs-utils
python
python(abi) = 2.7
python-lxml
python-ovirt-engine-sdk4 >= 4.0.0
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
shadow-utils
rpmlib(PayloadIsXz) <= 5.2-1

[root@as-engine ~]# ovirt-image-uploader list
WARNING: ovirt-image-uploader is deprecated in 4.0 and will be removed in 4.1
Please provide the REST API password for the admin@internal oVirt Engine user (CTRL+D to abort): 
ERROR: There are no export storage domains.


Note You need to log in before you can comment on or make changes to this bug.